# coding: utf-8

"""
    Synapse DB

    No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

    The version of the OpenAPI document: 0.7.2
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


from __future__ import annotations

import json
import pprint
import re  # noqa: F401
from typing import Any, ClassVar, Dict, List, Optional, Set

from pydantic import BaseModel, ConfigDict, Field, StrictStr
from syndb_api_client.models.brain_region_create_read_input import BrainRegionCreateReadInput
from typing_extensions import Self


class MultiBrainRegionDatasetDefinition(BaseModel):
    """
    MultiBrainRegionDatasetDefinition
    """  # noqa: E501

    brain_regions: List[BrainRegionCreateReadInput] = Field(
        description="Brain regions for the dataset, select multiple only if the components SPAN adjacent the brain regions"
    )
    label: Optional[StrictStr] = None
    notes: Optional[StrictStr] = None
    __properties: ClassVar[List[str]] = ["brain_regions", "label", "notes"]

    model_config = ConfigDict(
        populate_by_name=True,
        validate_assignment=True,
        protected_namespaces=(),
    )

    def to_str(self) -> str:
        """Returns the string representation of the model using alias"""
        return pprint.pformat(self.model_dump(by_alias=True))

    def to_json(self) -> str:
        """Returns the JSON representation of the model using alias"""
        # TODO: pydantic v2: use .model_dump_json(by_alias=True, exclude_unset=True) instead
        return json.dumps(self.to_dict())

    @classmethod
    def from_json(cls, json_str: str) -> Optional[Self]:
        """Create an instance of MultiBrainRegionDatasetDefinition from a JSON string"""
        return cls.from_dict(json.loads(json_str))

    def to_dict(self) -> Dict[str, Any]:
        """Return the dictionary representation of the model using alias.

        This has the following differences from calling pydantic's
        `self.model_dump(by_alias=True)`:

        * `None` is only added to the output dict for nullable fields that
          were set at model initialization. Other fields with value `None`
          are ignored.
        """
        excluded_fields: Set[str] = set([])

        _dict = self.model_dump(
            by_alias=True,
            exclude=excluded_fields,
            exclude_none=True,
        )
        # override the default output from pydantic by calling `to_dict()` of each item in brain_regions (list)
        _items = []
        if self.brain_regions:
            for _item_brain_regions in self.brain_regions:
                if _item_brain_regions:
                    _items.append(_item_brain_regions.to_dict())
            _dict["brain_regions"] = _items
        # set to None if label (nullable) is None
        # and model_fields_set contains the field
        if self.label is None and "label" in self.model_fields_set:
            _dict["label"] = None

        # set to None if notes (nullable) is None
        # and model_fields_set contains the field
        if self.notes is None and "notes" in self.model_fields_set:
            _dict["notes"] = None

        return _dict

    @classmethod
    def from_dict(cls, obj: Optional[Dict[str, Any]]) -> Optional[Self]:
        """Create an instance of MultiBrainRegionDatasetDefinition from a dict"""
        if obj is None:
            return None

        if not isinstance(obj, dict):
            return cls.model_validate(obj)

        _obj = cls.model_validate(
            {
                "brain_regions": (
                    [BrainRegionCreateReadInput.from_dict(_item) for _item in obj["brain_regions"]]
                    if obj.get("brain_regions") is not None
                    else None
                ),
                "label": obj.get("label"),
                "notes": obj.get("notes"),
            }
        )
        return _obj
